/*
Style name: DMB Records
Author: DżentelmeniDizajnu.pl
Date: 10-2024
*/

@import url("https://fonts.googleapis.com/css2?family=Red+Hat+Display:ital,wght@0,300..900;1,300..900&display=swap");
@import url("CSS/font-awesome.min.css");

:root {
  --color-white: #ffffff;
  --color-black: #0f0f0f;
  --color-lightblue: #69c9ca;
  --color-blue: #1e9dbe;
}

.open-btn,
.close-btn {
  display: none;
}

.navbar {
  background: #ffffff;
  border: 0px !important;
  border-radius: 0px !important;
  height: 70px;
  margin-bottom: 0px !important;
  padding: 0 15px;
}

.container-fluid > .navbar-collapse,
.container-fluid > .navbar-header,
.container > .navbar-collapse,
.container > .navbar-header {
  z-index: 999 !important;
}

.navbar-brand {
  padding: 10px 0 !important;
  margin-left: 0px !important;
  height: 70px !important;
}

.navbar-brand.logo {
  margin-left: 0px !important;
  position: relative;
  top: 0px;
  z-index: 999;
}

.navbar-brand img {
  width: auto;
  height: 50px;
  opacity: 1;
  transition: 0.3s;
}

.navbar-brand img:hover {
  opacity: 0.8;
  transition: 0.3s;
}

.navbar .container {
  width: 100%;
  padding: 0 15px;
  height: 70px;
}

.navbar.menu {
  border: 0px !important;
  border-radius: 0px !important;
  height: 70px;
  margin-bottom: 0px !important;
}

.navbar-collapse {
  padding: 0px !important;
}

.navbar .navbar-collapse .navbar-nav {
  height: 70px !important;
  position: relative;
  float: none;
  margin: 0 auto;
  padding-left: 0px !important;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.navbar .navbar-collapse .navbar-nav li.menu-item {
  display: inline-block;
  height: 45px;
  float: none;
  margin: 0px -2px !important;
  padding: 0px;
  transition: linear 0.3s;
}

.navbar .navbar-collapse .navbar-nav li.menu-item::after {
  content: "";
  display: block;
  position: relative;
  top: -5px;
  left: 10px;
  width: 0;
  height: 2px;
  background: var(--color-blue);
  transition: width 0.1s;
}

.navbar .navbar-collapse .navbar-nav li.menu-item:hover::after {
  width: 50%;
  transition: width 0.1s;
}

.navbar .navbar-collapse .navbar-nav li a {
  display: block;
  height: 45px;
  font-family: "Red Hat Display", sans-serif;
  font-weight: 700;
  line-height: 16px;
  color: var(--color-black);
  font-size: 16px;
  text-transform: uppercase;
  text-decoration: none;
  transition-duration: 0.3s;
  padding: 15.5px 8px;
  position: relative;
}

.navbar .navbar-collapse .navbar-nav li a:hover {
  text-decoration: none;
  color: var(--color-blue);
  transition-duration: 0.3s;
}

.navbar .navbar-collapse .navbar-nav li.menu-item .dropdown-menu {
  background-color: transparent !important;
  float: none;
  min-width: 600px !important;
  padding: 0px;
  border: none;
  top: 45px !important;
  left: -130px;
  box-shadow: none !important;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item {
  display: inline-block;
  width: 200px;
  height: auto !important;
  background: #efefef;
  border: 0px;
  padding: 6px 10px !important;
  box-shadow: none;
}

.navbar .navbar-collapse .navbar-nav li.menu-item a.dropdown-toggle::after {
  font-family: "FontAwesome" !important;
  content: "\f078" !important;
  font-size: 12px;
  font-weight: 800;
  margin-left: 3px;
  margin-bottom: 3px;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item a {
  height: auto !important;
  padding: 0px !important;
  font-size: 14px;
  color: var(--color-black);
  text-align: center;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item:hover {
  background: #222;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item:hover a {
  color: #fff !important;
  background: transparent;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item.active {
  background: var(--color-black);
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item:hover a {
  color: #fff;
  background: transparent;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item.active a {
  color: #fff;
  background: transparent;
}

.navbar .navbar-collapse .navbar-nav .dropdown-menu li.menu-item::after {
  display: none !important;
}

.dropdown:hover .dropdown-menu {
  display: block;
}

#container {
  padding: 0px;
  margin: 0px;
}

#main-content {
  margin: 0px;
  padding: 0px;
}

#sub-content {
  margin: 0px;
  padding: 0px;
}

#contact-form .wpcf7-list-item-label {
  align-items: flex-start !important;
}

#contact-form .wpcf7-list-item-label:before {
  background-color: #efefef;
  border-radius: 0;
}

.wpcf7-textarea {
  padding: 10px 20px !important;
}

#contact-form input[type="submit"] {
  transition: 0.3s;
}

#contact-form input[type="submit"]:hover {
  transition: 0.3s;
}

#contact-form .wpcf7-spinner {
  display: none;
}

.wpcf7-acceptance .wpcf7-list-item-label {
  align-items: flex-start !important;
}

.wpcf7-acceptance input + .wpcf7-list-item-label:before {
  background-color: var(--color-lightblue) !important;
}

.wpcf7-acceptance input:checked + .wpcf7-list-item-label:after {
  top: 10px;
}

.uc_fbps_content {
  text-align: left !important;
  position: absolute !important;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  max-width: 600px;
  right: 120px;
}

/*Map Style Begin*/

.open-user-map .box-wrap .map-wrap .leaflet-map .leaflet-popup {
  box-shadow: none !important;
}

.open-user-map .box-wrap .map-wrap .leaflet-map .leaflet-popup-content-wrapper {
  border-radius: 0px !important;
}

.leaflet-popup-content {
  width: 350px !important;
}

.oum_location_text {
  padding: 20px !important;
}

.oum_location_name {
  font-family: "Red Hat Display", sans-serif;
  font-size: 20px;
  font-weight: 700 !important;
  text-transform: uppercase;
}

.oum_location_description {
  font-family: "Red Hat Display", sans-serif;
  font-size: 16px !important;
  font-weight: 400;
  text-transform: none;
}

p.hero-title {
  font-weight: 900;
  margin-bottom: -20px;
  font-size: 56px;
  /* color: var(--color-blue); */
}

/*Map Style End*/

/*Single Post Style Begin*/

/*Single Post Style End*/

/*Account page Style Begin*/

legend {
  font-family: "Red Hat Display", sans-serif;
  font-size: 24px;
  font-weight: 900;
  text-transform: uppercase;
}

/*Account page Style End*/

/*Footer Style Begin*/

.footer-link {
  color: var(--color-white);
  text-decoration: none;
  transition: 0.3s;
}

.footer-link:hover {
  color: var(--color-lightblue);
  transition: 0.3s;
}

#footer #author {
  padding: 15px 0px;
  background: var(--color-white);
  text-align: center;
  font-family: "Red Hat Display", sans-serif;
  color: var(--color-black);
  font-size: 13px;
  text-transform: uppercase;
}

#footer #author a {
  display: inline-block;
  color: var(--color-blue);
  text-decoration: none;
  font-weight: 600;
  transition-duration: 0.1s;
}

#footer #author a:hover {
  font-weight: 900;
  transition-duration: 0.1s;
}

/*Footer Style End*/

/* Elementor Elements style begin */

/* Elementor Elements style end */

/* Media max width 900px */

@media (max-width: 900px) {
  .navbar-collapse {
    opacity: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh !important;
    width: 100vw !important;
    z-index: 998;
    background-color: var(--color-white);
    margin-left: 0 !important;
    margin-right: 0 !important;
    transition: 0.3s;
  }

  .navbar .navbar-collapse .navbar-nav {
    display: flex !important;
    justify-content: center;
    flex-direction: column !important;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    gap: 10px;
    height: fit-content !important;
  }

  .open-btn {
    display: block;
    position: absolute;
    right: 30px;
    top: 25px;
    z-index: 997;
  }

  .close-btn {
    z-index: 999;
    display: block;
    position: absolute;
    right: 30px;
    top: 25px;
  }

  .collapse {
    display: block !important;
  }

  .navbar .navbar-collapse .navbar-nav li.menu-item {
    height: fit-content;
  }

  .navbar .navbar-collapse .navbar-nav li a {
    font-size: 32px;
    padding: 15px 0;
    line-height: 32px;
    text-align: center;
    height: unset !important;
  }

  .project-cards,
  .project-cards .ue_content_left {
    height: fit-content !important;
  }
}

@media (min-width: 768px) {
  .navbar-collapse.collapse {
    height: 100vh !important;
  }
}

/* Media max width 758px */

@media (max-width: 768px) {
  .collapse {
    display: block !important;
  }

  .uc_fbps_content {
    text-align: center !important;
    width: 100%;
    max-width: 100vw !important;
    right: 0;
    background-color: #ffffffc7 !important;
  }

  p.hero-title {
    font-size: 48px !important;
    margin-bottom: -10px !important;
  }

  /* Elementor Elements style begin */

  /* Elementor Elements style end */
}

.tile-link {
    height: 100%;
    transition: 0.3s;
}

.tile-link:hover {
    background: #77c9cb !important;
    transition: 0.3s;
}

.tile-link .elementor-heading-title {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tile-link .elementor-heading-title a {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.download-btn .e-font-icon-svg {
  height: 32px !important;
  width: auto !important;
}

.elementor-button-content-wrapper {
  align-items: center;
}

.contact-info a {
  color: #0f0f0f !important;
}

.contact-info a:hover {
  color: #1E9DBE !important;
}